// -*- C++ -*-

/**********************************************************************

  Sample C++ source file for the cce system

  Process this and example.h with

     % cceExtHtml example.{cc,h}

**********************************************************************/

#include "example.h"

// Return the time in seconds
//
// @Description  Although this method has a comment in the .h file, this
// comment at the definition of the method takes precedence.

int Base::getDate()
{
  return 0;
}

/**********************************************************************

  Do something more interesting

  @Description This is a virtual function (it was defined virtual in
  the Base class).  <TT>cceExtHtml</TT> uses inheritance information
  to determine which functions are truly virtual.  It also keeps track
  of which members override which.

**********************************************************************/
int Derived::something(int a, int & b, char c[])
{
  return 2;
}

int main(int argc, char *argv[])
{
  return 0;
}
